/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

:root {
    --header-height: 136px;
    --height-vh: calc(100svh - var(--header-height));
}

html {
    scroll-behavior: smooth;
    scroll-padding-top: calc(var(--header-height) + 40px);
}

*, *::after, *::before {
    outline: none !important;
}

.brxe-heading span {
    background: linear-gradient(90deg, #F4D03F 0%, #F5A340 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
}

a {
    transition: var(--base-transition);
}

:where(p) {
    margin: 0 0 1.7em;
}

:where(p:last-of-type) {
    margin-bottom: 0;
}

/* ************************* Header ************************* */

#brx-header {
    transition: all .3s ease;
    position: sticky;
    top: 0;
    z-index: 99;
}

#brx-header.custom_sticky>div {
    background: transparent;
}

#brx-header.custom_sticky section {
    box-shadow: 0 4px 32px rgba(0, 0, 0, 0.1);
}


/* ************************* Header ************************* */
/* ************************* Form ************************* */

.brxe-form .form-group label {
    margin-left: 2em;
    margin-bottom: 0.8rem;
}

.brxe-form .form-group textarea {
    min-height: 91px;
}

/* ************************* Home ************************* */

.banner-image__slider .splide__arrow--prev {
    border-radius: 0 24px 24px 0;
}

.banner-image__slider .splide__arrow--next {
    border-radius: 24px 0 0 24px;
}

.banner-image__slider .splide__arrow--next svg {
    transform: scaleX(-1);
}

.banner-image__slider .splide__arrow::after,
.banner-image__slider .splide__arrow::before {
    content: '';
    position: absolute;
    width: 2.4rem;
    height: 2.4rem;
    background-image: url(/wp-content/uploads/2025/04/Subtract.svg);
    bottom: calc(100% - 1px);
    left: 0;
}

.banner-image__slider .splide__arrow::after {
    bottom: auto;
    top: calc(100% - 1px);
    transform: scaleY(-1);
}

.banner-image__slider .splide__arrow.splide__arrow--next::after {
    left: auto;
    right: 0;
    transform: scale(-1);
}

.banner-image__slider .splide__arrow.splide__arrow--next::before {
    left: auto;
    right: 0;
    transform: scaleX(-1);
}

.service-accordian__shape::after,
.service-accordian__shape::before,
.contact-shape::after,
.contact-shape::before,
.service-accordian__arrows::after,
.service-accordian__arrows::before {
    content: '';
    position: absolute;
    width: 2.4rem;
    height: 2.4rem;
    background-image: url(/wp-content/uploads/2025/04/Subtract.svg);
    top: 0;
    left: 100%;
    filter: brightness(0) invert(1);
    transform: scaleX(-1) rotate(180deg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.service-accordian__shape::after,
.contact-shape::after {
    left: 1px;
    top: 100%;
}

.service-accordian__arrows::after,
.service-accordian__arrows::before {
    bottom: 100%;
    right: 0;
    transform: scaleY(-1) rotate(180deg);
    left: auto;
    top: auto;
}

.service-accordian__arrows::after {
    right: 100%;
    bottom: 0;
}

.service-card__img::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-blend-mode: normal, color, normal, normal;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 28.83%, rgba(0, 0, 0, 0.6) 77.32%), linear-gradient(0deg, rgba(244, 208, 63, 0.1), rgba(244, 208, 63, 0.1));
    z-index: 2;
    left: 0;
    top: 0;
}

.service-accordian__item-img::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 2;
    left: 0;
    top: 0;
    background: linear-gradient(0deg, rgba(244, 208, 63, 0.1), rgba(244, 208, 63, 0.1)), url(image.png);
    background-blend-mode: color, normal, normal, normal;
}

.service-accordian .brx-open .accordion-title-wrapper {
    min-height: 331px;
    align-items: flex-end;
    pointer-events: none;
}

#brx-content .accordion-title-wrapper .brxe-heading {
    margin-block: -0.3em;
}

.service-accordian__item-img-wrap {
    opacity: 0;
    transition: var(--base-transition);
}

.brx-open .service-accordian__item-img-wrap {
    opacity: 1;
}

.service-accordian__arrows div[acc-id="#"] {
    /* cursor: no-drop; */
    pointer-events: none !important;
}

.service-accordian__arrows div[acc-id="#"] .service-accordian__arrow-icon {
    opacity: 0.5;
}

.service-accordian__arrows {
    transition: var(--base-transition);
}

/* ********************* Responsive ********************* */

main {
    overflow: hidden;
}


@media(max-width:1600px) {
    :root {
        --header-height: 112px;
        --section-padding-xs: 10px !important;
        --text-m: 13px !important;
    }

    .brxe-form .form-group textarea {
        min-height: 77px;
    }

    .service-accordian .brx-open .accordion-title-wrapper {
        min-height: 247px;
    }
}

@media(max-width:1440px) {
    .service-accordian .brx-open .accordion-title-wrapper {
        min-height: 180px;
    }
}

@media(max-width:1024px) {
    :root {
        --header-height: 100px;
        --section-padding-xs: 8px !important;
    }

    .service-accordian .brx-open .accordion-title-wrapper {
        min-height: 153px;
    }
}

@media(max-width:767px) {
    :root {
        --header-height: 90px;
    }

    .brxe-form .form-group label {
        margin-left: 1em;
        padding-bottom: 0.8rem;
        margin-block: -0.3em;
        margin-bottom: 0;
        display: inline-block;
    }

    .service-accordian__shape::after,
    .service-accordian__shape::before,
    .contact-shape::after,
    .contact-shape::before,
    .service-accordian__arrows::after,
    .service-accordian__arrows::before {
        width: 1.6rem;
        height: 1.6rem;
    }

    .brxe-form .form-group textarea {
        min-height: 68px;
    }
}

@media(max-width:575px) {

    .service-accordian .brx-open .accordion-title-wrapper {
        min-height: 144px;
    }
}

/* ********************* Responsive ********************* */